| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties

# IG::Lib::VectorDtoBase< VectorType > Class Template Reference

Base class for various vector DTO (Data Transfer Objects) for vectors. Used to store a state of a vector. More...

Inheritance diagram for IG::Lib::VectorDtoBase< VectorType >:
[legend]
Collaboration diagram for IG::Lib::VectorDtoBase< VectorType >:
[legend]

List of all members.

## Public Member Functions
| VectorDtoBase ()
| Default constructor, sets IsNull to true.
| VectorDtoBase (int length)
| Constructor, prepares the current DTO for storing a vector of the specified dimension.
abstract VectorType | CreateVector (int length)
| Creates and returns a new vector of the specified dimension.
override VectorType | CreateObject ()
| Creates and returns a new vector of the specified type and dimension.
## Protected Member Functions
virtual void | AllocateComponents (int dim)
| Allocates the array that stores vector elements.
override void | CopyFromPlain (IVector vec)
| Copies data to the current DTO from a vector object.
override void | CopyToPlain (ref IVector vec)
| Copies data from the current DTO to a vector object.
## Protected Attributes
int | _length
double[] | _elements
## Properties
int | Length`[get, set]`
| Vector dimension.
double[] | Elements`[get, set]`
| Vector elements.

## Detailed Description

### template<VectorType>
class IG::Lib::VectorDtoBase< VectorType >

Base class for various vector DTO (Data Transfer Objects) for vectors. Used to store a state of a vector.

Template Parameters:

  VectorType | Type parameter specifying the specific vector type for which concrete DTO is designed.

$A Igor Jun09;

Type Constraints

  VectorType | : | class |
  VectorType | : | IVector |

## Member Function Documentation

template<VectorType >

IG::Lib::VectorDtoBase< VectorType >::VectorDtoBase | ( |  | ) | `[inline]`

Default constructor, sets IsNull to true.

template<VectorType >

IG::Lib::VectorDtoBase< VectorType >::VectorDtoBase | ( | int | length | ) | `[inline]`

Constructor, prepares the current DTO for storing a vector of the specified dimension.

Parameters:

  length | Dimension of a vector that is stored in the current DTO.

template<VectorType >

virtual void IG::Lib::VectorDtoBase< VectorType >::AllocateComponents | ( | int | dim | ) | `[inline, protected, virtual]`

Allocates the array that stores vector elements.

Parameters:

  dim | Vector dimension.

template<VectorType >

abstract VectorType IG::Lib::VectorDtoBase< VectorType >::CreateVector | ( | int | length | ) | `[pure virtual]`

Creates and returns a new vector of the specified dimension.

Parameters:

  length | Vector dimension.

template<VectorType >

override VectorType IG::Lib::VectorDtoBase< VectorType >::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new vector of the specified type and dimension.

Implements IG::Lib::SerializationDtoBase< Type, BaseType >.

template<VectorType >

override void IG::Lib::VectorDtoBase< VectorType >::CopyFromPlain | ( | IVector | vec | ) | `[inline, protected]`

Copies data to the current DTO from a vector object.

Parameters:

  vec | Vector object from which data is copied.

template<VectorType >

override void IG::Lib::VectorDtoBase< VectorType >::CopyToPlain | ( | ref IVector | vec | ) | `[inline, protected]`

Copies data from the current DTO to a vector object.

Parameters:

  vec | Vector object that data is copied to.

## Member Data Documentation

template<VectorType >

int IG::Lib::VectorDtoBase< VectorType >::_length`[protected]`

template<VectorType >

double [] IG::Lib::VectorDtoBase< VectorType >::_elements`[protected]`

## Property Documentation

template<VectorType >

int IG::Lib::VectorDtoBase< VectorType >::Length`[get, set]`

Vector dimension.

template<VectorType >

double [] IG::Lib::VectorDtoBase< VectorType >::Elements`[get, set]`

Vector elements.

The documentation for this class was generated from the following file:

- VectorDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events